## net.i2p.util
Class LogConsoleBuffer

    java.lang.Object
      net.i2p.util.LogConsoleBuffer

public class LogConsoleBuffer
extends java.lang.Object

Offer a glimpse into the last few console messages generated

Constructor Summary
`LogConsoleBuffer(I2PAppContext context)`

Method Summary
`(package private) void` `add(java.lang.String msg)`
`(package private) void` `addCritical(java.lang.String msg)`
`java.util.List` `getMostRecentCriticalMessages()` Retrieve the currently bufferd crutucak messages, earlier values were generated...
`java.util.List` `getMostRecentMessages()` Retrieve the currently bufferd messages, earlier values were generated...

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogConsoleBuffer

    public LogConsoleBuffer(I2PAppContext context)

Method Detail

### add

    void add(java.lang.String msg)

### addCritical

    void addCritical(java.lang.String msg)

### getMostRecentMessages

    public java.util.List getMostRecentMessages()

  Retrieve the currently bufferd messages, earlier values were generated... earlier. All values are strings with no formatting (as they are written in the logs)

### getMostRecentCriticalMessages

    public java.util.List getMostRecentCriticalMessages()

  Retrieve the currently bufferd crutucak messages, earlier values were generated... earlier. All values are strings with no formatting (as they are written in the logs)